# Method: projects.locations.customClasses.delete

- [HTTP request](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/delete#body.aspect)

Delete a custom class.

### HTTP request

`DELETE https://speech.googleapis.com/v1/{name=projects/*/locations/*/customClasses/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the custom class to delete. Format: `projects/{project}/locations/{location}/customClasses/{customClass}` Speech-to-Text supports three locations: `global`, `us` (US North America), and `eu` (Europe). If you are calling the `speech.googleapis.com` endpoint, use the `global` location. To specify a region, use a [regional endpoint](https://cloud.google.com/speech-to-text/docs/endpoints) with matching `us` or `eu` location value. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `speech.customClasses.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).